Subject: bug#56641: Deprecate `lsh`

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 23 Jul 2022 09:26:04 +0200

Mattias Engdegård <[email-masked]> writes:

> The function `lsh` works almost like `ash` but is much slower, cannot
> be constant-folded by the compiler, and above all has confusing
> semantics for historical reasons. Using `lsh` instead of `ash` is
> always a mistake.
>
> For these reasons we should deprecate `lsh`. It is not important to
> remove it as soon as possible, but to dissuade people from
> accidentally using it in their code.

I agree.  I think the presence of `lsh' just confuses people.  Even when
Emacs didn't have bignums it was pretty odd, but I have absolutely no
idea what any theoretical use case would be today.